Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QConvert

    java.lang.Object
      |
      +--com.jxml.quick.QConvert

All Implemented Interfaces:
  DocumentHandler

public class QConvert
extends Object
implements DocumentHandler

Inner Class Summary
`class` | `QConvert.Att`

Field Summary
`static String` | `ATTRIBUTES`
`QContext` | `context`

Constructor Summary
`QConvert()`
`QConvert(QContext context)`

Method Summary
`void` | `characters(char[] chars, int offset, int len)`
`void` | `endDocument()`
`void` | `endElement(String name)`
`void` | `ignorableWhitespace(char[] chars, int offset, int len)`
`void` | `processingInstruction(String target, String data)`
`void` | `setDocumentLocator(Locator locator)`
`void` | `startDocument()`
`void` | `startElement(String name, AttributeList attList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTES

    public static final String ATTRIBUTES

### context

    public QContext context

Constructor Detail

### QConvert

    public QConvert()

### QConvert

    public QConvert(QContext context)

Method Detail

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `DocumentHandler`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `DocumentHandler`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `DocumentHandler`

### startElement

    public void startElement(String name,
                             AttributeList attList)
                      throws SAXException

  Specified by:
    `startElement` in interface `DocumentHandler`

### endElement

    public void endElement(String name)
                    throws SAXException

  Specified by:
    `endElement` in interface `DocumentHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int offset,
                                    int len)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `DocumentHandler`

### characters

    public void characters(char[] chars,
                           int offset,
                           int len)
                    throws SAXException

  Specified by:
    `characters` in interface `DocumentHandler`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `DocumentHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD